org.eclipse.emf.compare.graph

## Interface PruningIterator<E>

Type Parameters:
  `E` - Kind of elements this iterator is for.

All Superinterfaces:
  Iterator<E>

    public interface PruningIterator<E>
    extends Iterator<E>

A specialized tree iterator allowing clients to prune all children below a selected one.

Note that this only makes sense if the underlying iteration operates on a tree-like structure.

Since:
  3.3

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `prune()` Prunes the iterator so that it skips over all the elements below the most recent result of calling `next()`.

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### prune

    void prune()

Prunes the iterator so that it skips over all the elements below the most recent result of calling `next()`.

This will have no effect if called before any call to `Iterator.next()`.